Bug 236451 - [REPOCOPY][NEW PORT] graphics/qgis to graphics/qgis-ltr
Summary: [REPOCOPY][NEW PORT] graphics/qgis to graphics/qgis-ltr
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2019-03-10 13:30 UTC by Loïc Bartoletti
Modified: 2019-03-16 10:05 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (rhurlin)


Attachments
qgis-ltr (312.25 KB, patch)
2019-03-10 13:30 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2019-03-10 13:30:05 UTC
Created attachment 202775 [details]
qgis-ltr

Rainer,

Since QGIS have LTR for QGIS 3, I think we can propose the LTR version (3.4) and the current version (3.6).

Personally, I prefer to distribute the LTR version for production and use the current test version for pre-production.

If maintaining both is too much for you, I can manage this one.

Ports are based on previous version with some improvements.
Comment 1 Rainer Hurling 2019-03-10 15:22:03 UTC
(In reply to lbartoletti from comment #0)

Loïc,

To be honest, I also thought about a LTR version as an extra port.

So yes, I appreciate your initiative and I would like to maintain this one, too.

Many, many thanks for your efforts in creating the ltr port and also for the science/szip dependency, so far overlooked by me.
Comment 2 commit-hook freebsd_committer 2019-03-13 23:37:04 UTC
A commit references this bug:

Author: wen
Date: Wed Mar 13 23:36:22 UTC 2019
New revision: 495665
URL: https://svnweb.freebsd.org/changeset/ports/495665

Log:
  - Repocopy qgis --> qgis-ltr and change the version to 3.4.5

  PR:		236451
  Submitted by:	lbartoletti@tuxfamily.org
  Approved by:	maintainer

Changes:
  head/graphics/Makefile
  head/graphics/qgis-ltr/
  head/graphics/qgis-ltr/Makefile
  head/graphics/qgis-ltr/distinfo
  head/graphics/qgis-ltr/files/patch-src_core_qgsproject.cpp
  head/graphics/qgis-ltr/pkg-plist
Comment 3 commit-hook freebsd_committer 2019-03-13 23:41:10 UTC
A commit references this bug:

Author: wen
Date: Wed Mar 13 23:40:39 UTC 2019
New revision: 495667
URL: https://svnweb.freebsd.org/changeset/ports/495667

Log:
  - Mark CONFLICTS_INSTALL with qgis-ltr

  PR:		236451
  Submitted by:	lbartoletti@tuxfamily.org
  Approved by:	maintainer

Changes:
  head/graphics/qgis/Makefile
Comment 4 Loïc Bartoletti 2019-03-16 10:05:39 UTC
Should be closed